package nc.ui.gl.excel;

import java.util.HashMap;
import nc.ui.gl.cache.CurrtypeDataCache;
import nc.vo.gl.cashflowcase.CashflowcaseVO;
import nc.vo.gl.diffanaly.DiffAnalyzeVO;
import nc.vo.ml.NCLangRes4VoTransl;
import nc.vo.pub.CircularlyAccessibleValueObject;
import nc.vo.pub.ValidationException;

public class VoucherExportSubVO extends CircularlyAccessibleValueObject {

   private static final long serialVersionUID = 1L;
   private String[] tttributeNames = null;
   private HashMap valueMap = new HashMap();


   public VoucherExportSubVO() {
   }

   public VoucherExportSubVO(CashflowcaseVO cashFlowVO) {
      if(cashFlowVO != null) {
         this.valueMap.put("m_flag", cashFlowVO.getFlag());
         this.valueMap.put("m_money", cashFlowVO.getMoney());
         this.valueMap.put("m_moneymain", cashFlowVO.getMoneymain());
         this.valueMap.put("m_moneyass", cashFlowVO.getMoneyass());
         this.valueMap.put("cashflowName", cashFlowVO.getCashflowName());
         this.valueMap.put("cashflowCode", cashFlowVO.getCashflowcode());
         this.valueMap.put("cashflowcurr", CurrtypeDataCache.getInstance().getCurrByPK(cashFlowVO.getM_pk_currtype()).getCurrtypename());
         this.tttributeNames = (String[])this.valueMap.keySet().toArray(new String[0]);
      }

   }

   public VoucherExportSubVO(DiffAnalyzeVO diffVO) {
      if(diffVO != null) {
         this.valueMap.put("amount", diffVO.getAmount());
         this.valueMap.put("mainitemcode", diffVO.getMainitemcode());
         this.valueMap.put("mainitemname", diffVO.getMainitemname());
         this.tttributeNames = (String[])this.valueMap.keySet().toArray(new String[0]);
      }

   }

   public String[] getAttributeNames() {
      return this.tttributeNames;
   }

   public Object getAttributeValue(String attributeName) {
      return attributeName == null?null:(this.valueMap.containsKey(attributeName)?this.valueMap.get(attributeName):null);
   }

   public void setAttributeValue(String name, Object value) {
      this.valueMap.put(name, value);
   }

   public String getEntityName() {
      return NCLangRes4VoTransl.getNCLangRes().getStrByID("glpub_0", "02002003-0158");
   }

   public void validate() throws ValidationException {
   }
}
